Skip to main content
PATCH
/
clients
/
{clientId}
Patch client settings
const options = {
  method: 'PATCH',
  headers: {'Content-Type': 'application/json'},
  body: JSON.stringify({
    logoUrl: '<string>',
    primaryColour: '<string>',
    billReviewTimeAfterDueDate: 123,
    gmailConnectorEnabled: true,
    gmailAllowedRedirectHosts: ['<string>'],
    paymentAllowedRedirectHosts: ['<string>'],
    payByBankEnabled: true,
    arEmailsEnabled: true
  })
};

fetch('https://api.dolfinai.co/clients/{clientId}', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));
{
  "name": "<string>",
  "gmailAllowedRedirectHosts": [
    "<string>"
  ],
  "paymentAllowedRedirectHosts": [
    "<string>"
  ],
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "paymentRevenueSharePercent": 123,
  "dolfinRevenueSharePercent": 123,
  "logoUrl": "<string>",
  "primaryColour": "<string>",
  "billReviewTimeAfterDueDate": 123,
  "gmailConnectorEnabled": true,
  "payByBankEnabled": true,
  "arEmailsEnabled": true,
  "createdAt": "2023-11-07T05:31:56Z",
  "createdBy": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "updatedAt": "2023-11-07T05:31:56Z",
  "updatedBy": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}

Path Parameters

clientId
string<uuid>
required

Body

application/json
logoUrl
null | string
primaryColour
null | string
billReviewTimeAfterDueDate
gmailConnectorEnabled
null | boolean
gmailAllowedRedirectHosts
null | string[]
paymentAllowedRedirectHosts
null | string[]
payByBankEnabled
null | boolean
arEmailsEnabled
null | boolean

Response

OK

name
string
required
gmailAllowedRedirectHosts
string[]
required
paymentAllowedRedirectHosts
string[]
required
id
string<uuid>
type
enum<string>
Available options:
Live,
Sandbox
paymentRevenueSharePercent
dolfinRevenueSharePercent
logoUrl
null | string
primaryColour
null | string
billReviewTimeAfterDueDate
gmailConnectorEnabled
boolean
payByBankEnabled
boolean
arEmailsEnabled
boolean
createdAt
string<date-time>
createdBy
null | string<uuid>
updatedAt
string<date-time>
updatedBy
null | string<uuid>